%define major 0
%define libname %mklibname ytnef %{major}
%define develname %mklibname -d ytnef

Summary: TNEF Stream Parser Library
Name: libytnef
Version: 1.5
%define subrel 2
Release: %mkrel 10
Source0: http://downloads.sourceforge.net/ytnef/%{name}-%{version}.tar.bz
Patch0: libytnef-bufferoverflow.patch
Patch1: 0001-Fixes-for-CVE-2017-6298-to-6306.patch
Patch2: 0002-Fixes-for-CVE-2017-6800-CVE-2017-6801-and-CVE-2017-6.patch
Patch3: CVE-2017-9058.patch
License: GPLv2+
Group: System/Libraries
Url: http://ytnef.sourceforge.net/

%description
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%package -n %{libname}
Summary: TNEF Stream Parser shared library
Group: System/Libraries

%description -n %{libname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%package -n %{develname}
Summary: TNEF Stream Parser library
Group: Development/C
Requires: %{libname} = %{version}
Provides: libytnef-devel = %{version}-%{release}

%description -n %{develname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3

%build
%configure2_5x
%make

%install
%makeinstall_std

%files -n %{libname}
%{_libdir}/libytnef.so.%{major}*

%files -n %{develname}
%doc ChangeLog
%{_libdir}/libytnef.so
%{_libdir}/libytnef.a
%{_libdir}/libytnef.la
%{_includedir}/*.h


%changelog
* Tue Jun 06 2017 bcornec <bcornec> 1.5-10.2.mga5
+ Revision: 1107125
- push subrel
- Fix security issue mga#20893 for MGA5
- Update subrel
- Fix mga#20299 by adopting Debian patches

* Wed Oct 15 2014 umeabot <umeabot> 1.5-10.mga5
+ Revision: 741641
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-9.mga5
+ Revision: 681909
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5-8.mga4
+ Revision: 507500
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.5-7.mga3
+ Revision: 358731
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 luigiwalser <luigiwalser> 1.5-6.mga3
+ Revision: 274990
- add patch from Fedora to fix potential buffer overflow

* Sun Jan 23 2011 pterjan <pterjan> 1.5-5.mga1
+ Revision: 35423
- Drop old stuff
- imported package libytnef


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-5mdv2011.0
+ Revision: 602625
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-4mdv2010.1
+ Revision: 520974
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.5-3mdv2010.0
+ Revision: 425976
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.5-2mdv2009.0
+ Revision: 223093
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 1.5-1mdv2008.1
+ Revision: 103034
- import libytnef


* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 1.5-1mdv2008.1
- initial package
